S-TUI(1)

NAME
s-tui - curses-based cpu monitoring

DESCRIPTION
usage: s-tui [-h] [-d] [--debug-file DEBUG_FILE] [-c] [--csv-file CSV_FILE] [-t] [-j] [-nm] [-v] [-ct CUSTOM_TEMP] [-tt T_THRESH] [-cf CUSTOM_FAN]

TUI interface:

The side bar houses the controls for the displayed graphs. At the bottom of the side bar, more information is presented in text form.

* Use the arrow keys or 'hjkl' to navigate the side bar

* Toggle between stressed and regular operation using the radio buttons in 'Modes'.

* If you wish to alternate stress defaults, you can do it in 'Stress options'

* Select a different temperature sensors from the 'Temp Sensors' menu

* Change time between updates using the 'Refresh' field

* Use the <Reset> button to reset graphs and statistics

* Toggle displayed graphs by selecting the [X] check box

* If a sensor is not available on your system, N/A is presented

* If your system supports it, you can use the utf8 button to get a smoother graph

* Press 'q' or the <quit> button to quit

* Run `s-tui --help` to get this message and additional cli options

  optional arguments:

-h, --help
    show this help message and exit

-d, --debug
    Output debug log to _s-tui.log

--debug-file DEBUG_FILE
    Use a custom debug file. Default: _s-tui.log

-c, --csv
    Save stats to csv file

--csv-file CSV_FILE
    Use a custom CSV file. Default: s-tui_log_<TIME>.csv

-t, --terminal
    Display a single line of stats without tui

-j, --json
    Display a single line of stats in JSON format

-nm, --no-mouse
    Disable Mouse for TTY systems

-v, --version
    Display version

-ct CUSTOM_TEMP, --custom_temp CUSTOM_TEMP
    Custom temperature sensors. The format is: <sensors>,<number> As it appears in 'sensors' e.g > sensors it8792-isa-0a60, temp1: +47.0C temp2: +35.0C temp3: +37.0C

    use: -ct it8792,0 for temp 1

-tt T_THRESH, --t_thresh T_THRESH
    High Temperature threshold. Default: 80

-cf CUSTOM_FAN, --custom_fan CUSTOM_FAN
    Similar to custom temp e.g >sensors thinkpad-isa-0000 Adapter: ISA adapter fan1: 1975 RPM

    use: -cf thinkpad,0 for fan1

REPORTING BUGS
s-tui bug tracker: https://github.com/amanusk/s-tui/issues

AUTHORS
This manual page was written by Jonathan Carter <jcc@debian.org> S-tui was written by Alex Manuskin and contributors.